- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QGraphicsPixmapItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 895 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QGraphicsPixmapItem:
[legend]

List of all members.

## Public Types
enum | ShapeMode { MaskShape, BoundingRectShape, HeuristicMaskShape }
enum | { Type = 7 }
## Public Member Functions
| QGraphicsPixmapItem (QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| QGraphicsPixmapItem (const QPixmap &pixmap, QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| ~QGraphicsPixmapItem ()
QPixmap | pixmap () const
void | setPixmap (const QPixmap &pixmap)
Qt::TransformationMode | transformationMode () const
void | setTransformationMode (Qt::TransformationMode mode)
QPointF | offset () const
void | setOffset (const QPointF &offset)
void | setOffset (qreal x, qreal y)
QRectF | boundingRect () const
QPainterPath | shape () const
bool | contains (const QPointF &point) const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
bool | isObscuredBy (const QGraphicsItem *item) const
QPainterPath | opaqueArea () const
int | type () const
ShapeMode | shapeMode () const
void | setShapeMode (ShapeMode mode)
## Protected Member Functions
bool | supportsExtension (Extension extension) const
void | setExtension (Extension extension, const QVariant &variant)
QVariant | extension (const QVariant &variant) const

## Member Enumeration Documentation

enum ShapeMode

Search for all occurrences

Enumerator:

  MaskShape | Search for all occurrences
  BoundingRectShape | Search for all occurrences
  HeuristicMaskShape | Search for all occurrences

Definition at line 898 of file qgraphicsitem.h.

                       {
            MaskShape,
            BoundingRectShape,
            HeuristicMaskShape
        };

anonymous enum

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Definition at line 937 of file qgraphicsitem.h.

    { Type = 7 };

## Constructor & Destructor Documentation

QGraphicsPixmapItem | ( | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

QGraphicsPixmapItem | ( | const QPixmap & | pixmap,
|  | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

~QGraphicsPixmapItem | ( |  | ) |

## Member Function Documentation

QPixmap pixmap | ( |  | ) | const

Search for all occurrences

void setPixmap | ( | const QPixmap & | pixmap | ) |

Search for all occurrences

Qt::TransformationMode transformationMode | ( |  | ) | const

Search for all occurrences

void setTransformationMode | ( | Qt::TransformationMode | mode | ) |

Search for all occurrences

QPointF offset | ( |  | ) | const

Search for all occurrences

void setOffset | ( | const QPointF & | offset | ) |

Search for all occurrences

void setOffset | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 953 of file qgraphicsitem.h.

    { setOffset(QPointF(ax, ay)); }

QRectF boundingRect | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

QPainterPath shape | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

bool contains | ( | const QPointF & | point | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void paint | ( | QPainter * | painter,
|  | const QStyleOptionGraphicsItem * | option,
|  | QWidget * | widget
| ) |  | `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

bool isObscuredBy | ( | const QGraphicsItem * | item | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

QPainterPath opaqueArea | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

int type | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

ShapeMode shapeMode | ( |  | ) | const

Search for all occurrences

void setShapeMode | ( | ShapeMode | mode | ) |

Search for all occurrences

bool supportsExtension | ( | Extension | extension | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void setExtension | ( | Extension | extension,
|  | const QVariant & | variant
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

QVariant extension | ( | const QVariant & | variant | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem
QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem QGraphicsPixmapItem